package com.ym.mec.biz.dal.page;

import com.ym.mec.biz.dal.enums.ClassGroupStudentStatusEnum;
import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;


public class StudentOperatingQueryInfo extends QueryInfo {
    
    @ApiModelProperty(value = "部门ID")
    private String organId;

    @ApiModelProperty(value = "指导老师")
    private Integer teacherId;

    @ApiModelProperty(value = "运营指标")
    private Integer operatingTag;

    @ApiModelProperty(value = "是否有VIP课")
    private Integer hasVip;

    @ApiModelProperty(value = "是否有免费网管课")
    private Integer HasFreePractice;

    @ApiModelProperty(value = "是否有收费网管课")
    private Integer HasBuyPractice;

    @ApiModelProperty(value = "是否有乐团网管课")
    private Integer hasMusicNetWork;

    public String getOrganId() {
        return organId;
    }

    public void setOrganId(String organId) {
        this.organId = organId;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }

    public Integer getOperatingTag() {
        return operatingTag;
    }

    public void setOperatingTag(Integer operatingTag) {
        this.operatingTag = operatingTag;
    }

    public Integer getHasVip() {
        return hasVip;
    }

    public void setHasVip(Integer hasVip) {
        this.hasVip = hasVip;
    }

    public Integer getHasFreePractice() {
        return HasFreePractice;
    }

    public void setHasFreePractice(Integer hasFreePractice) {
        HasFreePractice = hasFreePractice;
    }

    public Integer getHasBuyPractice() {
        return HasBuyPractice;
    }

    public void setHasBuyPractice(Integer hasBuyPractice) {
        HasBuyPractice = hasBuyPractice;
    }

    public Integer getHasMusicNetWork() {
        return hasMusicNetWork;
    }

    public void setHasMusicNetWork(Integer hasMusicNetWork) {
        this.hasMusicNetWork = hasMusicNetWork;
    }
}
